Bug 1032790 - [abrt] vdsm-python-4.12.1-4.fc19: vdsm-id.py:32:getUUID:RuntimeError: Cannot retrieve host UUID
[abrt] vdsm-python-4.12.1-4.fc19: vdsm-id.py:32:getUUID:RuntimeError: Cannot ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: vdsm (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Federico Simoncelli
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:4238857a95116d972d532b056a5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 15:40 EST by dimapunk80
Modified: 2015-10-09 08:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:20:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (498 bytes, text/plain)
2013-11-20 15:40 EST, dimapunk80
no flags Details
File: environ (574 bytes, text/plain)
2013-11-20 15:40 EST, dimapunk80
no flags Details

  None (edit)
Description dimapunk80 2013-11-20 15:40:41 EST
Version-Release number of selected component:
vdsm-python-4.12.1-4.fc19

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/bin/vdsm-tool vdsm-id
executable:     /usr/bin/vdsm-tool
kernel:         3.11.7-200.fc19.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
vdsm-id.py:32:getUUID:RuntimeError: Cannot retrieve host UUID

Traceback (most recent call last):
  File "/usr/bin/vdsm-tool", line 143, in <module>
    sys.exit(main())
  File "/usr/bin/vdsm-tool", line 140, in main
    return tool_command[cmd]["command"](*args[1:])
  File "/usr/lib64/python2.7/site-packages/vdsm/tool/vdsm-id.py", line 32, in getUUID
    raise RuntimeError('Cannot retrieve host UUID')
RuntimeError: Cannot retrieve host UUID

Local variables in innermost frame:
hostUUID: None
Comment 1 dimapunk80 2013-11-20 15:40:52 EST
Created attachment 826845 [details]
File: backtrace
Comment 2 dimapunk80 2013-11-20 15:40:57 EST
Created attachment 826846 [details]
File: environ
Comment 3 Federico Simoncelli 2014-03-25 05:42:35 EDT
Can you try to run the commands:

 # vdsm-tool vdsm-id
 # cat /etc/vdsm/vdsm.id
 # dmidecode -s system-uuid

and paste the output here thanks.
Comment 4 Bob Doolittle 2014-05-19 17:44:06 EDT
Another user experienced a similar problem:

I am deploying self-hosted. I got the VM engine up, and installed F19 and updated packages, then installed ovirt-engine and run engine-setup. Then I got this error. hosted-engine is saying "Still waiting for VDSM host to become operational".

reporter:       libreport-2.2.1
cmdline:        /usr/bin/python /usr/bin/vdsm-tool vdsm-id
executable:     /usr/bin/vdsm-tool
kernel:         3.13.11-100.fc19.x86_64
package:        vdsm-python-4.14.8.1-0.fc19
reason:         vdsm-id.py:32:getUUID:RuntimeError: Cannot retrieve host UUID
runlevel:       N 5
type:           Python
uid:            0
Comment 5 Bob Doolittle 2014-05-19 17:46:38 EDT
[root@xion2 ~]# vdsm-tool vdsm-id
4C4C4544-0054-5110-8032-C6C04F445831[root@xion2 ~]# 
[root@xion2 ~]# cat /etc/vdsm/vdsm.id
4C4C4544-0054-5110-8032-C6C04F445831
[root@xion2 ~]# dmidecode -s system-uuid
4C4C4544-0054-5110-8032-C6C04F445831
[root@xion2 ~]#
Comment 6 Bob Doolittle 2014-05-19 18:59:11 EDT
I think in retrospect, that it may have been when I installed ovirt-guest-agent-common (and it pulled in python-ethtool 0.9.2 and python-pep8 1.4.6-2) that VDSM blew up.

Could this be another issue with python-ethtool and VDSM on F19?
Comment 7 Sandro Bonazzola 2014-11-26 09:13:57 EST
Is this still relevant?
Comment 8 Fedora End Of Life 2015-01-09 15:39:07 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 14:20:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.